=== debian/changelog ===
chipmunk (5.3.4-1) unstable; urgency=low

  * Initial release. Closes: #623274

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 25 Apr 2011 00:57:19 +0200
