=== debian/control ===
Source: chipmunk
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), cmake, dh-buildinfo, quilt,
 freeglut3-dev, libxmu-dev, libxi-dev
Standards-Version: 3.9.2
Homepage: https://code.google.com/p/chipmunk-physics/

Package: chipmunk-dev
Section: libdevel
Architecture: any
Depends: libchipmunk0d1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Fast and lightweight 2D rigid body physics library - devel
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.
 .
 This package contains the development libraries and headers.

Package: libchipmunk0d1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libchipmunk0d1-dbg (= ${binary:Version}), chipmunk-dev (= ${binary:Version})
Description: fast and lightweight 2D rigid body physics library in C
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.

Package: libchipmunk0d1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libchipmunk0d1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Fast and lightweight 2D rigid body physics library - debug
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.
 .
 This package contains the debugging symbols.
