=== debian/changelog ===
chipmunk (6.1.5-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:50 +0000

chipmunk (6.1.5-1) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * New upstream release. (Closes: #679199).
  * Bump Debian SONAME to 0d3 for shared lib.
    + Upstream feels it shouldn't be used as a shared lib.
  * Add proper Vcs tags to debian/control.
  * Update Homepage again.
  * Drop build-dep on quilt since this is a source format 3.0 package.
  * Bump debhelper build-dep and compat to 9.
    + Change to dh style rules.
  * Add hardening flags.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 12 Jun 2013 05:21:14 -0400

chipmunk (6.1.1-1) UNRELEASED; urgency=low

  * Team upload.
  * New upstream release (Closes: #679199)
  * Add a watch file
  * Switch to new upstream website

 -- Paul Wise <pabs@debian.org>  Thu, 27 Sep 2012 11:34:47 +0800
