=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED:BOOL=ON \
		-DBUILD_STATIC:BOOL=ON \
		-DBUILD_DEMOS:BOOL=ON \
		-DINSTALL_SHARED:BOOL=ON \
		-DINSTALL_STATIC:BOOL=ON \
		-DINSTALL_DEMOS:BOOL=ON \
		--debug-output \
		-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
		-DCMAKE_INSTALL_PREFIX:STRING="/usr" \
		-DCMAKE_C_FLAGS:STRING="$(CFLAGS) $(CPPFLAGS)" \
		-DCMAKE_C_FLAGS_RELEASE:STRING="" \
		-DCMAKE_C_FLAGS_DEBUG:STRING="" \
		-DCMAKE_SHARED_LINKER_FLAGS:STRING="-Wl,-z,defs -Wl,-z,relro -Wl,--as-needed -Wl,--no-undefined" \
		-DCMAKE_EXE_LINKER_FLAGS:STRING="-Wl,-z,defs -Wl,-z,relro -Wl,--as-needed -Wl,--no-undefined"

override_dh_strip:
	dh_strip --dbg-package=libchipmunk0d3-dbg
