=== debian/watch ===
version=3
http://chipmunk-physics.net/release/Chipmunk-([\d]\.x)/Chipmunk-(\d[\d\.]+)\.tgz
