=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,15 @@
-file(GLOB chipmunk_source_files "*.c" "constraints/*.c")
+file(GLOB chipmunk_source_files "*.c")
 file(GLOB chipmunk_public_header "${chipmunk_SOURCE_DIR}/include/chipmunk/*.h")
-file(GLOB chipmunk_constraint_header "${chipmunk_SOURCE_DIR}/include/chipmunk/constraints/*.h")
 
-include_directories(${chipmunk_SOURCE_DIR}/include/chipmunk)
+include_directories(${chipmunk_SOURCE_DIR}/include)
+
+# Chipmunk2D 7.0.3
+set(CHIPMUNK_VERSION_MAJOR 7)
+set(CHIPMUNK_VERSION_MINOR 0)
+set(CHIPMUNK_VERSION_PATCH 3)
+set(CHIPMUNK_VERSION "${CHIPMUNK_VERSION_MAJOR}.${CHIPMUNK_VERSION_MINOR}.${CHIPMUNK_VERSION_PATCH}")
+message("Configuring Chipmunk2D version ${CHIPMUNK_VERSION}")
+
 
 if(BUILD_SHARED)
   add_library(chipmunk SHARED
@@ -14,8 +21,19 @@
     set_target_properties(chipmunk PROPERTIES LINKER_LANGUAGE CXX)
   endif(MSVC)
   # set the lib's version number
-  set_target_properties(chipmunk PROPERTIES VERSION 6.1.4)
-  install(TARGETS chipmunk RUNTIME DESTINATION lib LIBRARY DESTINATION lib)
+  # But avoid on Android because symlinks to version numbered .so's don't work with Android's Java-side loadLibrary.
+  if(NOT ANDROID)
+    set_target_properties(chipmunk PROPERTIES
+      SOVERSION ${CHIPMUNK_VERSION_MAJOR}
+      VERSION ${CHIPMUNK_VERSION})
+  endif(NOT ANDROID)
+  if(ANDROID OR UNIX)
+	  # need to explicitly link to the math library because the CMake/Android toolchains may not do it automatically
+	  target_link_libraries(chipmunk m)
+  endif(ANDROID OR UNIX)
+  install(TARGETS chipmunk RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+                           LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+                           ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
 endif(BUILD_SHARED)
 
 if(BUILD_STATIC)
@@ -30,7 +48,7 @@
   # Sets chipmunk_static to output "libchipmunk.a" not "libchipmunk_static.a"
   set_target_properties(chipmunk_static PROPERTIES OUTPUT_NAME chipmunk)
   if(INSTALL_STATIC)
-    install(TARGETS chipmunk_static ARCHIVE DESTINATION lib)
+    install(TARGETS chipmunk_static ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
   endif(INSTALL_STATIC)
 endif(BUILD_STATIC)
