=== debian/changelog ===
chipmunk (7.0.3-3) unstable; urgency=medium

  * Stop including sys/sysctl.h. Closes: #967981.
  * Drop the libchipmunk-dbg migration, it was never uploaded to the
    archives.
  * Switch to debhelper compatibility level 13.
  * Stop suggesting chipmunk-dev, it’s a transitional package.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Oct 2020 11:15:31 +0200

chipmunk (7.0.3-2) unstable; urgency=medium

  * Only tweak examples on arch builds, the files are only present then.
    Thanks to Andreas Beckmann for spotting the bug and providing the
    fix. Closes: #958536.

 -- Stephen Kitt <skitt@debian.org>  Thu, 23 Apr 2020 18:12:26 +0200

chipmunk (7.0.3-1) experimental; urgency=low

  [ Andrew Kelley ]
  * add symbols file
  * add examples
  * enable multi arch
  * use GNUInstallDirs in cmake
  * simplify rules file
  * install upstream changelog
  * update copyright format
  * build with git-buildpackage and pristine-tar
  * update to new upstream on GitHub
  * install documentation

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Simon McVittie ]
  * Correct Vcs-* URLs (again) to point to salsa.debian.org

  [ Stephen Kitt ]
  * New upstream release. Closes: #956794.
  * Add myself to “Uploaders”.
  * Switch to debhelper compatibility level 12.
  * Fix example installation: skip .gitignore, disable compression, fix
    permissions.
  * Configure gbp to use pristine-tar by default.
  * Specify Priority “optional” instead of “extra”.
  * Drop obsolete -dbg package.
  * Ship the development files in libchipmunk-dev rather than chipmunk-
    dev; the latter is now a transitional package.
  * Add a “Build-Depends-Package” entry to the symbols file.
  * Set “Rules-Requires-Root: no”.
  * Enable all hardening options.
  * Drop the unused dh-buildinfo build-dependency.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 20 Apr 2020 18:14:56 +0200
