=== debian/control ===
Source: chipmunk
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
 Barry deFreese <bdefreese@debian.org>,
 Andrew Kelley <superjoe30@gmail.com>,
 Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13)
 , cmake
 , libgl1-mesa-dev | libgl-dev
 , libxrandr-dev
Standards-Version: 4.5.0
Section: libs
Homepage: https://chipmunk-physics.net/
Vcs-Git: https://salsa.debian.org/games-team/chipmunk.git
Vcs-Browser: https://salsa.debian.org/games-team/chipmunk
Rules-Requires-Root: no

Package: libchipmunk-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libchipmunk7 (= ${binary:Version}), ${misc:Depends}
Breaks: chipmunk-dev (<< 7.0.3-1~)
Replaces: chipmunk-dev (<< 7.0.3-1~)
Description: Fast and lightweight 2D rigid body physics library (development files)
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.
 .
 This package contains the development files.

Package: libchipmunk7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: fast and lightweight 2D rigid body physics library in C
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.

Package: chipmunk-dev
Section: oldlibs
Architecture: all
Depends: libchipmunk-dev, ${misc:Depends}
Description: fast, lightweight 2D rigid body physics library, transitional package
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
 library written in C. It's licensed under the unrestrictive, OSI approved
 MIT license. Its aim is to give 2D developers access the same quality of
 physics you find in newer 3D games.
 .
 This is a transitional package providing the development files, and
 can safely be removed.
