=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_compress:
	dh_compress -Xexamples

override_dh_installchangelogs:
	dh_installchangelogs -k VERSION.txt

override_dh_installexamples-arch:
	dh_installexamples -X.gitignore
	chmod 644 debian/libchipmunk-dev/usr/share/doc/libchipmunk-dev/examples/*.h

%:
	dh $@
