=== debian/watch ===
version=3
opts=\
dversionmangle=s/\?(debian|dfsg|ds|deb)\d*$//,\
filenamemangle=s/.*\/(?:Chipmunk-)?v?([\d\.-]+)\.tar\.gz/chipmunk-$1.tar.gz/ \
 https://github.com/slembcke/Chipmunk2D/tags .*/archive/(?:Chipmunk-)?v?([\d\.]+).tar.gz
